import 'package:flutter/material.dart';
import 'package:material_symbols_icons/material_symbols_icons.dart';

class CustomerInfoScreen extends StatefulWidget {
  const CustomerInfoScreen({super.key});

  @override
  State<CustomerInfoScreen> createState() => _CustomerInfoScreen();
}

class _CustomerInfoScreen extends State<CustomerInfoScreen>{
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        leading: IconButton(icon: const Icon(Symbols.arrow_back_ios_new),
          onPressed: () {
          Navigator.pop(context);
          },),
        title: const Text('kMobile', style: TextStyle(color: Colors.black,
            fontWeight: FontWeight.w500),),
        actions: const [
          Padding(
            padding: EdgeInsets.only(right: 10.0),
            child: CircleAvatar(
              backgroundImage: AssetImage('assets/images/avatar.jpg'), // Replace with your image
              radius: 20,
            ),
          ),
        ],
      ),

      body: const SingleChildScrollView(
          physics: AlwaysScrollableScrollPhysics(),
          child: Padding(
            padding: EdgeInsets.all(16.0),
            child: SafeArea(
              child: Center(
                child: Column(
                        children: [
                SizedBox(height: 30),
                CircleAvatar(
                  backgroundImage: AssetImage('assets/images/avatar.jpg'), // Replace with your image
                  radius: 50,
                ),

                Padding(
                  padding: EdgeInsets.only(top: 10.0),
                  child: Text('Trina Bakshi', style: TextStyle(fontSize: 20,
                      color: Colors.black, fontWeight: FontWeight.w500),),
                ),

                Text('CIF: 2553677487774', style: TextStyle(fontSize: 16, color: Colors.grey),),
                          SizedBox(height: 30,),
                          InfoField(label: 'Number of Active Accounts', value: '3'),
                          InfoField(label: 'Mobile Number', value: '987XXXXX78'),
                          InfoField(label: 'Date of Birth', value: '12-07-1984'),
                          InfoField(label: 'Branch', value: 'Krishnapur'),
                          InfoField(label: 'Aadhar Number', value: '7665 XXXX 1276'),
                          InfoField(label: 'PAN Number', value: '700127638009871'),
                        ],
                      ),
              ),
            ),
          )),
    );
  }
}

class InfoField extends StatelessWidget {
  final String label;
  final String value;

  const InfoField({Key? key, required this.label, required this.value}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      margin: const EdgeInsets.symmetric(vertical: 8),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            label,
            style: const TextStyle(
              fontSize: 15,
              fontWeight: FontWeight.w500,
              color: Colors.black87,
            ),
          ),
          const SizedBox(height: 3),
          Text(
            value,
            style: const TextStyle(
              fontSize: 16,
              color: Colors.black,
            ),
          ),
        ],
      ),
    );
  }
}